module("sputnik_markup_pod", package.seeall)

require ("pod")


SputnikMarkupPOD = {

   ----------------------------------------------------------------------------
   -- Creates a new "markup" object
   -- 
   -- @params none
   ----------------------------------------------------------------------------


   new = function (self)

      local obj = {}

      setmetatable(obj, self)
      self.__index = self
      return obj         
   end,

   ----------------------------------------------------------------------------
   -- Returns a text wikified.
   --
   -- @param       text - the original text
   -- @param       templates - some templates (it is not using this information)
   -- @param       base_url - the base url when resolving links
   -- @param       helpers - a sputnik object (it is not using this information)
   -- @return      the text wikified
   ----------------------------------------------------------------------------

   wikify_text = function (self, text, templates, base_url, helpers)
      return pod.parserToBuffer (text, base_url, true)
   end

}


open = function() return SputnikMarkupPOD:new(base_url) end

